
init()
{
	level endon("game_ended");
	color = (1,1,0);
	deadcolor = (1,0,0);
	statalpha = 0.8;

	allies = 0;
	axis = 0;
	deadallies = 0;
	deadaxis = 0;

	switch(game["allies"])
	{
		case "sas":
		game["headicon_allies"] = "faction_128_sas";
		break;
		case "marines":
		game["headicon_allies"] = "faction_128_usmc";
		break;
		default:
		game["headicon_allies"] = "faction_128_usmc";
		break;
	}

	switch(game["axis"])
	{
		case "russian":
		game["headicon_axis"] = "faction_128_ussr";
		break;
		case "opfor":
		case "arab":
		game["headicon_axis"] = "faction_128_arab";
		break;
		default:
		game["headicon_axis"] = "faction_128_arab";
		break;
	}
	
	while(!level.gameended)
	{
		if(!isdefined(level.ex_axisicon))
		{
			level.ex_axisicon = newHudElem();	
			level.ex_axisicon.x = 624;
			level.ex_axisicon.y = 20;
			level.ex_axisicon.alignX = "center";
			level.ex_axisicon.alignY = "middle";
			level.ex_axisicon.alpha = statalpha;
			level.ex_axisicon setShader(game["headicon_axis"],24,24);
		}
		if(!isdefined(level.ex_axisnumber))
		{
			level.ex_axisnumber = newHudElem();	
			level.ex_axisnumber.x = 624;
			level.ex_axisnumber.y = 40;
			level.ex_axisnumber.alignX = "center";
			level.ex_axisnumber.alignY = "middle";
			level.ex_axisnumber.alpha = statalpha;
			level.ex_axisnumber.fontscale = 1.5;
			level.ex_axisnumber.color = color;
			level.ex_axisnumber setValue(0);
		}
		else level.ex_axisnumber setValue(axis);

		if(!isdefined(level.ex_deadaxisicon))
		{
			level.ex_deadaxisicon = newHudElem();	
			level.ex_deadaxisicon.x = 624;
			level.ex_deadaxisicon.y = 60;
			level.ex_deadaxisicon.alignX = "center";
			level.ex_deadaxisicon.alignY = "middle";
			level.ex_deadaxisicon.alpha = statalpha;
			level.ex_deadaxisicon setShader("hud_status_dead",18,18);
		}
		if(!isdefined(level.ex_deadaxisnumber))
		{
			level.ex_deadaxisnumber = newHudElem();	
			level.ex_deadaxisnumber.x = 624;
			level.ex_deadaxisnumber.y = 80;
			level.ex_deadaxisnumber.alignX = "center";
			level.ex_deadaxisnumber.alignY = "middle";
			level.ex_deadaxisnumber.alpha = statalpha;
			level.ex_deadaxisnumber.fontscale = 1.5;
			level.ex_deadaxisnumber.color = deadcolor;
			level.ex_deadaxisnumber setValue(0);
		}
		else level.ex_deadaxisnumber setValue(deadaxis);

		if(!isdefined(level.ex_alliedicon))
		{
			level.ex_alliedicon = newHudElem();	
			level.ex_alliedicon.x = 588;
			level.ex_alliedicon.y = 20;
			level.ex_alliedicon.alignX = "center";
			level.ex_alliedicon.alignY = "middle";
			level.ex_alliedicon.alpha = statalpha;
			level.ex_alliedicon setShader(game["headicon_allies"],24,24);
		}
		if(!isdefined(level.ex_alliednumber))
		{
			level.ex_alliednumber = newHudElem();	
			level.ex_alliednumber.x = 588;
			level.ex_alliednumber.y = 40;
			level.ex_alliednumber.alignX = "center";
			level.ex_alliednumber.alignY = "middle";
			level.ex_alliednumber.alpha = statalpha;
			level.ex_alliednumber.fontscale = 1.5;
			level.ex_alliednumber.color = color;
			level.ex_alliednumber setValue(0);
		}
		else level.ex_alliednumber setValue(allies);
		
		if(!isdefined(level.ex_deadalliedicon))
		{
			level.ex_deadalliedicon = newHudElem();	
			level.ex_deadalliedicon.x = 588; //568;
			level.ex_deadalliedicon.y = 60;  //60;
			level.ex_deadalliedicon.alignX = "center";
			level.ex_deadalliedicon.alignY = "middle";
			//level.ex_deadalliedicon.alpha = statalpha;
			level.ex_deadalliedicon setShader("hud_status_dead",18,18);
		}

		if(!isdefined(level.ex_deadalliednumber))
		{
			level.ex_deadalliednumber = newHudElem();	
			level.ex_deadalliednumber.x = 588;
			level.ex_deadalliednumber.y = 80;
			level.ex_deadalliednumber.alignX = "center";
			level.ex_deadalliednumber.alignY = "middle";
			level.ex_deadalliednumber.alpha = statalpha;
			level.ex_deadalliednumber.fontscale = 1.5;
			level.ex_deadalliednumber.color = deadcolor;
			level.ex_deadalliednumber setValue(0);
		}
		else level.ex_deadalliednumber setValue(deadallies);

		allies = 0;
		axis = 0;
		deadallies = 0;
		deadaxis = 0;
		
		players = getentarray("player", "classname");
		
		for(i = 0; i < players.size; i++)
		{
			if(isPlayer(players[i]))
			{
				player = players[i];

				if(!isDefined(player.pers["team"])) continue;
				else if(player.pers["team"] == "spectator") continue;

				if(player.sessionstate == "playing")
				{
					if(player.pers["team"] == "allies") allies++;
					else axis++;
				}
				else
				{
					if(player.pers["team"] == "allies") deadallies++;
					else deadaxis++;
				}
			}
		}

		wait 0.25;
	}
}