#include maps\mp\gametypes\_weapons;

exPlayerConnect()
{
	if(isDefined(self.ex_name))
	{
		if(level.ex_clano[self.ex_clid])
		{
			iprintln(&"CLIENTCONTROL_CONNECTING", self);
			splay = true;
		}
		else splay = false;
	}
	else
	{
		iprintln(&"CLIENTCONTROL_CONNECTING", self);
		splay = true;
	}

	if(level.ex_plcdsound && splay)
	{
		players = getEntArray("player", "classname");
		for(m=0;m<players.size;m++)
			players[m] playLocalSound("gomplayersjoined");
	}
}

exPlayerJoinedServer()
{	
	self thread setOneOffVars();

	// start menu music 
	thread extreme\_ex_maps::getmapstring(getDvar("mapname"));

	if(isDefined(self.ex_name))
	{
		if(level.ex_clano[self.ex_clid])
			iprintln(&"CLIENTCONTROL_HASJOINED", self);
	}
	else iprintln(&"CLIENTCONTROL_HASJOINED", self);
}

exPlayerDisconnect()
{
	if(isDefined(self.ex_name))
	{
		if(level.ex_clano[self.ex_clid])
		{
			iprintln(&"CLIENTCONTROL_DISCONNECTED", self);
			splay = true;
		}
		else splay = false;
	}
	else
	{
		iprintln(&"CLIENTCONTROL_DISCONNECTED", self);
		splay = true;
	}

	if(level.ex_plcdsound && splay)
	{
		players = getEntArray("player", "classname");
		for(m=0;m<players.size;m++)
		players[m] playLocalSound("gomplayersleft");
	}

	if(isDefined(self.ex_name) && level.ex_clano[self.ex_clid]) return;
}


chokeMusicChannel()
{
	self endon("disconnect");
	self endon("end_choke");
	
	for(;;)
	{
		if(isPlayer(self) && self.pers["music_choke"]) self playLocalSound("spec_music_null");
		wait 10;
	}
}

getSessionState(ss)
{
	switch(ss)
	{
		case "spectator":
		case "intermission":
		case "dead":
		return true;
		
		default:
		return false;
	}
}

setOneOffVars()
{
	self.ex_sinbin = false;
	self.ex_glplay = undefined;
	self.pers["spec_on"] = false;
	self.pers["dth_on"] = false;
	self.pers["intro_on"] = false;
}

clearWeapons()
{
	self endon("disconnect");

	// clear standard weapons
	self.pers["weapon"] = undefined;
	self.pers["weapon1"] = undefined;
	self.pers["weapon2"] = undefined;
	self.pers["weapon1_new"] = undefined;
	self.pers["weapon2_new"] = undefined;
	self.pers["spawnweapon"] = undefined;

	// clear saved roundbased weapons
	if(isDefined(game[self.name]))
	{
		if(isDefined(game[self.name]["weapon1"])) game[self.name]["weapon1"] = undefined;
		if(isDefined(game[self.name]["weapon2"])) game[self.name]["weapon2"] = undefined;
	}
}
