init()
{
	level thread onPlayerConnect();
}

onPlayerConnect()
{
	for(;;)
	{
		level waittill("connecting", player);

		player.spawnprotected = false;
		player.protectiontime = undefined;

		if (level.ex_spawnprotection)
		{
			player thread onPlayerSpawned();
			player thread onPlayerKilled();
		}
	}
}

onPlayerSpawned()
{
	self endon("disconnect");

	for(;;)
	{
		self waittill("spawned_player");

		if (!self.spawnprotected)
			self thread Start_Protection();
	}
}

onPlayerKilled()
{
	self endon("disconnect");

	for(;;)
	{
		self waittill("killed_player");

		self.spawnprotected = false;

		if (isDefined(self.protected_hud))
			self.protected_hud destroy();
		if (isDefined(self.protected_hudicon))
			self.protected_hudicon destroy();
	}
}

Start_Protection()
{
	self endon("disconnect");

	self.spawnprotected = true;

	if(level.inPrematchPeriod)
	level waittill("prematch_over");

	self.protectiontime = level.ex_spawnprotection;

	if(level.ex_spwn_wepdisable) self disableWeapons();
	if(level.invisible_spawnpro)
	self hide();
	//self thread Head_Icon();

	if (isDefined(self.protected_hud))
		self.protected_hud destroy();
	if (isDefined(self.protected_hudicon))
		self.protected_hudicon destroy();

	self.protected_hudicon = newClientHudElem(self);
	self.protected_hudicon.x = 135;
	self.protected_hudicon.y = 401;
	self.protected_hudicon.alignX = "right";
	self.protected_hudicon.alignY = "top";
	self.protected_hudicon.alpha = .9;
	self.protected_hudicon.archived = false;
	self.protected_hudicon setShader("hint_health", 24, 24);

	self.protected_hud = newClientHudElem(self);
	self.protected_hud.x = 0;
	self.protected_hud.y = 180;
	self.protected_hud.alignX = "center";
	self.protected_hud.alignY = "middle";
	self.protected_hud.horzAlign = "center_safearea";
	self.protected_hud.vertAlign = "center_safearea";
	self.protected_hud.alpha = 1;
	self.protected_hud.archived = false;
	self.protected_hud.font = "default";
	self.protected_hud.fontscale = 1.4;
	self.protected_hud.color = (0.980,0.996,0.388);
	self.protected_hud.label = &"MISC_SPAWNPRO";

	self thread MonitorAttackKey();
	if(!isDefined(self.spawnprocouter))
		{
			self.spawnprocouter = newClientHudElem(self);
			self.spawnprocouter.x = 0;
			self.spawnprocouter.y = 160;
			self.spawnprocouter.alignX = "center";
			self.spawnprocouter.alignY = "middle";
			self.spawnprocouter.horzAlign = "center_safearea";
			self.spawnprocouter.vertAlign = "center_safearea";
			self.spawnprocouter.alpha = 1;
			self.spawnprocouter.fontScale = 2.4;
			self.spawnprocouter.color = (.99, .00, .00);			
		}
	timer = 0;
	while (self.protectiontime)
	{
		if (!self.spawnprotected)
			break;
		self.spawnprocouter setvalue(self.protectiontime);
		wait (.1 * level.fps_multiplier);
		timer++;

		if (timer == 10)
		{
			self.protectiontime--;
			timer = 0;
		}
	}

	if(level.invisible_spawnpro)
	self show();
	if(level.ex_spwn_wepdisable) self enableWeapons();
	if(isDefined(self.spawnprocouter)) self.spawnprocouter destroy(); 
	self.spawnprotected = false;

	if (isDefined(self.protected_hud))
		self.protected_hud destroy();
	if (isDefined(self.protected_hudicon))
		self.protected_hudicon destroy();

}

MonitorAttackKey()
{
	self endon("disconnect");

	while (self.spawnprotected)
	{
		wait (0.1 * level.fps_multiplier);

		if (self attackButtonPressed() || self meleeButtonPressed())
			self.spawnprotected = false;
	}
}

/*Return_Head_Icon()
{
	if(isDefined(self.pers["team"]) && self.pers["team"] != "spectator" && self.sessionstate == "playing")
	{
		if( isDefined(level.drawfriend) && level.drawfriend )
		{
			if(self.pers["team"] == "allies")
			{
				self.headicon = game["headicon_allies"];
				self.headiconteam = "allies";
			}
			else
			{
				self.headicon = game["headicon_axis"];
				self.headiconteam = "axis";
			}
		}
		else
		{
			self.headicon = "";
		}
	}
}

Head_Icon()
{
	self endon("disconnect");

	if (!level.show_protection_icon)
		return;

	if ( isDefined(self.headiconteam) )
		self.headiconteam = "none";
	self.headicon = game["headicon_protected"];

	while (self.protectiontime)
	{
		if (!self.spawnprotected)
			break;

		wait .5;
	}
	
	self Return_Head_Icon();

}*/