// SV_FPS FIX CODE BY BULLETWORM

Setup_sv_fps()
{
	Get_Mult_Settings();
	// level thread Test_frames();
	level thread Monitor_FPS();
}


Monitor_FPS()
{
	old_fps = getDvarInt("sv_fps");

	while (1)
	{
		wait .25;

		fps = getDvarInt("sv_fps");

		if (fps != old_fps)
		{
			if (fps == 20 || fps == 25 || fps == 30)
			{
				Get_Mult_Settings();
				old_fps = getDvarInt("sv_fps");
				thread Update_Client_Snaps();
			}
			else
			{
				setDvar("sv_fps", old_fps);
			}
		}
	}
}

Update_Client_Snaps(snaps)
{
	new_snaps = getDvarInt("sv_fps");

	players = getentarray("player", "classname");
	for(i = 0; i < players.size; i++)
		players[i] setClientDvar("snaps", new_snaps );
}

Get_Mult_Settings()
{
	if (getDvarInt("sv_fps") == 30)
	{
		level.fps_multiplier = 1.51382;
		level.frame = .033;
	}
	else if (getDvarInt("sv_fps") == 25)
	{
		level.fps_multiplier = 1.26110;
		level.frame = .039;
	}
	else
	{
		level.fps_multiplier = 1.0;
		level.frame = .05;
		setDvar("sv_fps", "20");
	}
}

/*
Test_frames()
{
	level.running = 0;
	count = 0;
	timer = 0;
	active = 1;

	while (!level.running)
		wait .01;

	while (active)
	{
		if (level.running)
		{
			count = count + 1;
			timer = timer + 1;
		}

		if (timer == 100)
		{
			iprintln("Current Count: " + count);
			timer = 0;
		}

		if (!level.running)
		{
			iprintln("Total Count: " + count);
			active = 0;
		}

		wait .01;
	}
}
*/